<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateTeamMembersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: team_members
         */
        Schema::create('team_members', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->string('designation', 255)->nullable();
            $table->string('address', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('team_members');
    }
}
